

name: Gitea Actions Demo
run-name: ${{ gitea.actor }} is testing out Gitea Actions 🚀
on:
  push:
    branches:
      - master

jobs:
  Build:
    runs-on: ubuntu-latest
    steps:
      - name: Check out repository code
        uses: actions/checkout@v5
      - name: Setup Node v20
        uses: actions/setup-node@v5
        with:
          node-version: 20
      - name: setup ssh
        run:
          mkdir -p ~/.ssh/
          echo "$SSH_PRIVATE_KEY" > ../private.key
          sudo chmod 600 ../private.key
          echo "$SSH_KNOWN_HOSTS" > ~/.ssh/known_hosts
          echo "HELOO" > ../test
          sudo chmod 600 ../test
          scp -i ../private.key -P ${{ secrets.BLOG_PORT }} ../test blog@madeio.net:/var/www/html/
        shell: bash
        env:
          SSH_PRIVATE_KEY: ${{secrets.BLOG_SSH_KEY}}
          SSH_KNOWN_HOSTS: ${{secrets.SSH_KNOWN_HOSTS}}
      - run: |
          cd ${{ gitea.workspace }}
      - run: npm ci
      - run: npm run build
      - run: echo "🍏 This job's status is ${{ job.status }}."
